Skip to content
--- aside: false outline: false title: "Query workflows — Civitai Orchestration API" copyPage: false ---

Query workflows

GET
/v2/consumer/workflows

Parameters

Header Parameters

Accept

Specify 'application/zip' to get the response as a zip file

Type
string

Query Parameters

cursor

An optional cursor to continue querying workflows from a previous query.

Type
string
take

How many workflows to return

Type
integer
Format
"int32"
Default
100
tags

An optional list of tags to query by

Type
array
query

An optional additional query that is used to match workflows through metadata

Type
string
ascending

Whether to return data from oldest to newest

Type
boolean
hideMatureContent

When set to true, any blob that has mature won't be available and won't have a URL

Type
boolean
Default
true
fromDate

An optional start date to filter workflows created on or after this date

Type
string
Format
"date-time"
toDate

An optional end date to filter workflows created on or before this date

Type
string
Format
"date-time"
excludeFailed

When set to true, excludes workflows with Failed, Expired, or Canceled status

Type
boolean
Default
false

Responses

OK

JSON

Playground

Headers
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Civitai Developer Documentation